New Docker-based install, trying to create superuser

Good morning,

Found this project this morning, so built a Docker server, pulled the repo, edited the configs, and started things up.

I initially tried the launch_all.sh script, but since we just want to test the product, I switched to launch_taiga.sh - Things appear to have started, however when I run the ./taiga-manage.sh createsuperuser command (I did edit all the scripts to use docker compose instead of docker-compose so they all work), I get the error below.

If I browse to 9000 over ssh, I get the login page, so things do seem to be running, I just can’t sign in. Also, this is running on a .dev domain, so no port 80 access via the included proxy.

Ideas?

./taiga-manage.sh createsuperuser
+ exec docker compose -f docker-compose.yml -f docker-compose-inits.yml run --rm taiga-manage createsuperuser
WARN[0000] Found orphan containers ([taiga-docker-penpot-frontend-1 taiga-docker-penpot-backend-1 taiga-docker-penpot-postgres-1 taiga-docker-penpot-redis-1 taiga-docker-penpot-exporter-1]) for this project. If you removed or renamed this service in your compose file, you can run this command with the --remove-orphans flag to clean it up.
[+] Running 1/0
 ⠿ Container taiga-docker-taiga-db-1  Running                                                                         0.0s

You have 142 unapplied migration(s). Your project may not work properly until you apply the migrations for app(s): contact, custom_attributes, djmail, easy_thumbnails, epics, external_apps, feedback, github, gitlab, gogs, history, issues, likes, milestones, notifications, projects, references, sessions, settings, tasks, telemetry, timeline, token_denylist, users, userstorage, userstories, votes, webhooks, wiki.
Run 'python manage.py migrate' to apply them.

Username: taigatest
Traceback (most recent call last):
  File "/opt/venv/lib/python3.7/site-packages/django/db/backends/utils.py", line 84, in _execute
    return self.cursor.execute(sql, params)
psycopg2.errors.UndefinedColumn: column users_user.uuid does not exist
LINE 1: ..._user"."last_login", "users_user"."is_superuser", "users_use...
                                                             ^
HINT:  Perhaps you meant to reference the column "users_user.id".


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "manage.py", line 17, in <module>
    execute_from_command_line(sys.argv)
  File "/opt/venv/lib/python3.7/site-packages/django/core/management/__init__.py", line 381, in execute_from_command_line
    utility.execute()
  File "/opt/venv/lib/python3.7/site-packages/django/core/management/__init__.py", line 375, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/opt/venv/lib/python3.7/site-packages/django/core/management/base.py", line 323, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/opt/venv/lib/python3.7/site-packages/django/contrib/auth/management/commands/createsuperuser.py", line 61, in execute
    return super().execute(*args, **options)
  File "/opt/venv/lib/python3.7/site-packages/django/core/management/base.py", line 364, in execute
    output = self.handle(*args, **options)
  File "/opt/venv/lib/python3.7/site-packages/django/contrib/auth/management/commands/createsuperuser.py", line 95, in handle
    error_msg = self._validate_username(username, verbose_field_name, database)
  File "/opt/venv/lib/python3.7/site-packages/django/contrib/auth/management/commands/createsuperuser.py", line 201, in _validate_username
    self.UserModel._default_manager.db_manager(database).get_by_natural_key(username)
  File "/opt/venv/lib/python3.7/site-packages/django/contrib/auth/base_user.py", line 44, in get_by_natural_key
    return self.get(**{self.model.USERNAME_FIELD: username})
  File "/opt/venv/lib/python3.7/site-packages/django/db/models/manager.py", line 82, in manager_method
    return getattr(self.get_queryset(), name)(*args, **kwargs)
  File "/opt/venv/lib/python3.7/site-packages/django/db/models/query.py", line 402, in get
    num = len(clone)
  File "/opt/venv/lib/python3.7/site-packages/django/db/models/query.py", line 256, in __len__
    self._fetch_all()
  File "/opt/venv/lib/python3.7/site-packages/django/db/models/query.py", line 1242, in _fetch_all
    self._result_cache = list(self._iterable_class(self))
  File "/opt/venv/lib/python3.7/site-packages/django/db/models/query.py", line 55, in __iter__
    results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
  File "/opt/venv/lib/python3.7/site-packages/django/db/models/sql/compiler.py", line 1142, in execute_sql
    cursor.execute(sql, params)
  File "/opt/venv/lib/python3.7/site-packages/raven/contrib/django/client.py", line 127, in execute
    return real_execute(self, sql, params)
  File "/opt/venv/lib/python3.7/site-packages/django/db/backends/utils.py", line 67, in execute
    return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
  File "/opt/venv/lib/python3.7/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers
    return executor(sql, params, many, context)
  File "/opt/venv/lib/python3.7/site-packages/django/db/backends/utils.py", line 84, in _execute
    return self.cursor.execute(sql, params)
  File "/opt/venv/lib/python3.7/site-packages/django/db/utils.py", line 89, in __exit__
    raise dj_exc_value.with_traceback(traceback) from exc_value
  File "/opt/venv/lib/python3.7/site-packages/django/db/backends/utils.py", line 84, in _execute
    return self.cursor.execute(sql, params)
django.db.utils.ProgrammingError: column users_user.uuid does not exist
LINE 1: ..._user"."last_login", "users_user"."is_superuser", "users_use...
                                                             ^
HINT:  Perhaps you meant to reference the column "users_user.id".

Well, I ran the mentioned migrations and now it let’s me create a superuser:

Username: taigatest
Email address: taigatest@taigagoeshere.com
Password:
Password (again):
Superuser created successfully.

I created one initially with a lengthy password and tried unsuccessfully to sign in, and another with abc as the password, which also will not sign in.

Any ideas what I might have missed?

Hi @greybear
the problem in the first step was that you needed to give the launch a bit more time so the migrations end (thay are a bit slow).

After creating a superuser successfully you should be able to login. Check the logs docker logs -f to see if there is more information.

Aha, thank you. So if I can get this working I’ll rebuild since I ran into several issues along the way which may have been a lack of patience.

Everything now works great, but I am unable to get the built-in nginx to listen on 443 instead of 80 (which is unavailable for a .dev domain). I changed the various settings to https and https://domain where required, and the ws:// to wss:// as in the docs, but it still comes up on 80. Putting my own nginx (installed in system, not docker) in front of everything opens up the site for remote access, but I get the error message mentioned in another thread on here.

Question: Should we be configuring the docker nginx container, or is another copy of nginx required? Not sure about that. I didn’t see any relevant errors in the system nginx, docker nginx, or the -front container logs so I was stuck.

G

Hi @greybear

taiga-gateway works internally with http, delegating https to the proxy in your host. So your nginx/apache/other should be in charge of SSL if you want to (and you should want ssl).

Cheers!